Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 231846 - Twig braces matching works wrong on nested blocks
Twig braces matching works wrong on nested blocks
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Twig
7.4
All All
: P3 (vote)
: 7.4
Assigned To: Ondrej Brejla
issues@php
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 13:47 UTC by mmolda
Modified: 2013-07-01 10:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
screenshot Wrong braces matching in nested blocks (52.70 KB, image/png)
2013-06-26 13:47 UTC, mmolda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mmolda 2013-06-26 13:47:09 UTC
Created attachment 136341 [details]
screenshot Wrong braces matching in nested blocks

When I have nested blocks of same keyword, eg:
1. {% if %}
2.   {% if %}
3.      something
4.   {% endif %}
5. {% endif %}
Click on 'if' on 1st line and the 'endif' on 4th line is matched.

For another example see screenshot.
Comment 1 mmolda 2013-06-26 13:47:28 UTC
Product Version: NetBeans IDE Dev (Build 201306252301)
Java: 1.7.0_25; Java HotSpot(TM) 64-Bit Server VM 23.25-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_25-b15
System: Windows 7 version 6.1 running on amd64; Cp1250; en_US (nb)
Comment 2 Ondrej Brejla 2013-06-27 08:42:02 UTC
Reproducible.
Comment 3 Ondrej Brejla 2013-06-27 12:07:32 UTC
First part fixed in web-main #28181e275849

Start/end blocks.
Comment 4 Ondrej Brejla 2013-06-27 13:48:57 UTC
First part fixed in web-main #ddfcaac4bca9

If and Endif matching.
Comment 5 Ondrej Brejla 2013-06-27 14:32:23 UTC
Third part fixed in web-main #2e313f49f085

ElseIf and Else.
Comment 6 Quality Engineering 2013-06-28 02:19:02 UTC
Integrated into 'main-silver', will be available in build *201306272300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/28181e275849
User: Ondrej Brejla <obrejla@netbeans.org>
Log: #231846 - Twig braces matching works wrong on nested blocks (1. part)

Fixed start/end blocks.
Comment 7 mmolda 2013-07-01 10:57:40 UTC
Works fine, verified. Thanks.

Product Version: NetBeans IDE Dev (Build 201306272300)
Java: 1.7.0_25; Java HotSpot(TM) 64-Bit Server VM 23.25-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_25-b15
System: Windows 7 version 6.1 running on amd64; Cp1250; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo